package com.securitycontrol.screen.service;


import com.securitycontrol.common.core.web.domain.AjaxResult;
import com.securitycontrol.entity.screen.dto.AccessMgeDto;
import com.securitycontrol.entity.screen.vo.AccessMgeVo;

import java.util.List;

/**
 * 出入管理
 * @author lsun
 */
public interface AccessMgeService {
    /**
     * 今日、当月车辆出入场统计
     * @param dto
     * @return
     */
    AjaxResult getVehicleStatistics(AccessMgeDto dto);

    /**
     * 今日、当月车辆出入场统计图片
     * @param dto
     * @return
     */
    AjaxResult getVehicleStatisticsPhoto(AccessMgeDto dto);

    /**
     * 今日、当月车辆出入场统计图片列表
     * @param dto
     * @return
     */
    List<AccessMgeVo> getVehicleStatisticsList(AccessMgeDto dto);

    /**
     * 今日、当月人员出入场统计
     * @param dto
     * @return
     */
    AjaxResult getPerStatistics(AccessMgeDto dto);

    /**
     * 今日、当月人员出入场统计图片
     * @param dto
     * @return
     */
    AjaxResult getPerStatisticsPhoto(AccessMgeDto dto);

    /**
     * 今日、当月人员出入场统计图片列表
     * @param dto
     * @return
     */
    List<AccessMgeVo> getPerStatisticsList(AccessMgeDto dto);
}
